Bug 834082 - Upgrade Distribution Checks only for original installed Products to upgrade.
Upgrade Distribution Checks only for original installed Products to upgrade.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 14:59 EDT by Rusty
Modified: 2014-01-21 18:22 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:59:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rusty 2012-06-20 14:59:36 EDT
Description of problem: Problem with upgrade from FC15 or FC16 to FC17 using X86_64 binary distribution.


Version-Release number of selected component (if applicable):


How reproducible:
1. Install FC15 or FC16 with a standard set of products
2. Add products to the working set.
3. Upgrade to FC17.
4. Check for upgrades - they will be required, as the upgrade uses the distribution originals for upgrade. Does not go to network to get latest versions. Errors occur because the old version is still installed from step 2 along with updated versions. To fix this you need to find all the errors and go back and remove the old product and then upgrade the product.

Steps to Reproduce:
1. See above.
2.
3.
  
Actual results:
See Step 4 in reproducing above.

Expected results:
The install would use the internet to upgrade ALL products that there are distributions for on both the media and the update web site.

Additional info:
The only other way around this is to do a fresh install. When multiple units are involved that users were allowed to upgrade as needed from a blank distribution this does not give them an upgraded machine but a new virgin machine to start over with. Along with many un-happy clients who have worked on a machine for a year or 2 and got it customized to their needs and then they have to start over and customize their machine.
Comment 1 Rusty 2012-06-20 15:02:13 EDT
This concern is related to bug 830047 problems.
Comment 2 Nathan Kinder 2012-06-20 16:26:11 EDT
Changing product and component, as this is not a Fedora Management Console issue.  I'm not sure if this is a yum, anaconda, or plain distribution issue, so I'm guessing and setting the component to yum since bug 830047 is logged against yum.
Comment 3 Fedora End Of Life 2013-07-03 22:18:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 04:00:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.